Home / Forums / DynamiX Support / Site Hacked Again!

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts

  • Sako Khachikian
    Participant

    My Dynamix site has now been hacked for the second time. I've been trying to figure out if the problem is from my end, the host end or something with WordPress. My host has suggested the following:  "As I see your site was hacked via the following file:

    ./wp-content/themes/DynamiX/header.php

    ./wp-content/themes/DynamiX/blogs/index.php

    So I would advise you to try changing the current theme to a different one."

    I don't want to jump to their conclusion of blaming the theme, so your input/suggestions would be greatly appreciated. I obviously don't want to abandon your great theme. Is it common for the "header.php" and "index.php" files to be that vulnerable? Is there any way to protect the theme that you may know of? Thanks.

    Andy
    Andy
    Keymaster

    Hi Sako,

    What version of DynamiX are you using? 

    I can't imagine there is anything in the header or index that would be able to allow this. I've had no other buyers have this issue either. I'm pretty sure it would be down to the hosting to protect any sites from this sort of attack. 

    DynamiX 2.8.2 is the most secure version because i've stopped passing variables via the HTTP. 

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.